Bug 901526 - build on non-x86 fails with "error: 'scanned' may be used uninitialized"
build on non-x86 fails with "error: 'scanned' may be used uninitialized"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qpid-proton (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-01-18 06:47 EST by Dan Horák
Modified: 2015-06-21 20:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-07 21:06:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed fix (459 bytes, patch)
2013-01-23 08:54 EST, Dan Horák
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA PROTON-202 None None None Never

  None (edit)
Description Dan Horák 2013-01-18 06:47:41 EST
Build of qpid-proton-0.3 fails on s390(x) and ppc(64) with an error from gcc

...
./usr/bin/cc  -Dqpid_proton_EXPORTS -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m31 -march=z9-109 -mtune=z10  -fPIC -I/builddir/build/BUILD/qpid-proton-c-0.3 -I/builddir/build/BUILD/qpid-proton-c-0.3/include    -Werror -Wall -pedantic-errors -std=c99 -o CMakeFiles/qpid-proton.dir/src/messenger.c.o   -c /builddir/build/BUILD/qpid-proton-c-0.3/src/messenger.c
............/builddir/build/BUILD/qpid-proton-c-0.3/src/codec/codec.c: In function 'pn_data_vscan':
/builddir/build/BUILD/qpid-proton-c-0.3/src/codec/codec.c:1712:16: error: 'scanned' may be used uninitialized in this function [-Werror=maybe-uninitialized]
cc1: all warnings being treated as errors
make[2]: *** [CMakeFiles/qpid-proton.dir/src/codec/codec.c.o] Error 1
...

Probably the understanding of the function by gcc differs between x86 and s390 or ppc
gcc-4.7.2-8.fc18.s390
gcc-4.7.2-7.fc18.ppc

Version-Release number of selected component (if applicable):
qpid-proton-0.3-1.fc18
Comment 1 Dan Horák 2013-01-23 08:54:04 EST
Created attachment 685907 [details]
proposed fix
Comment 2 Fedora Update System 2013-01-25 10:34:01 EST
qpid-proton-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-proton-0.3-2.fc17
Comment 3 Fedora Update System 2013-01-25 11:01:57 EST
qpid-proton-0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-proton-0.3-2.fc18
Comment 4 Dan Horák 2013-01-26 05:11:36 EST
It's still failing, my proposed patch was setting the "scanned" variable, your committed patch is setting the "found" variable. See log at http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=921511
Comment 5 Fedora Update System 2013-01-26 10:58:12 EST
Package qpid-proton-0.3-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-proton-0.3-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1529/qpid-proton-0.3-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-01-28 07:36:32 EST
qpid-proton-0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qpid-proton-0.3-3.fc18
Comment 7 Fedora Update System 2013-01-28 07:53:07 EST
qpid-proton-0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qpid-proton-0.3-3.fc17
Comment 8 Fedora Update System 2013-02-07 21:06:13 EST
qpid-proton-0.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-02-07 21:13:32 EST
qpid-proton-0.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.